## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-2-Clause AND ISC
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
%global binary_license BSD-2-Clause AND ISC AND MIT AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%global crate rav1e

Name:           rust-rav1e
Version:        0.7.1
Release:        %autorelease
Summary:        Fastest and safest AV1 encoder

# rav1e is published under the terms of the BSD-2-Clause license,
# with the exception of one file: "src/ext/x86/x86inc.asm" (ISC license)
License:        BSD-2-Clause AND ISC
URL:            https://crates.io/crates/rav1e
Source0:         rav1e-0.7.1.crate
Source1:         vendor.tar.gz
# Automatically generated patch to strip dependencies and normalize metadata
Patch0:          rav1e-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * update license expression in crate metadata
# * drop references to benchmarks
# * drop unused features for profiling and tracing and their dependencies
# * drop WASM-specific wasm-bindgen dependency and wasm feature
# * drop unused, benchmark-only criterion dev-dependency
# * drop unused aom-sys / libdav1d-sys dependencies (decode tests are not run)
# * compatibility fixes for cargo-c v0.9.26 and newer:
#   https://github.com/lu-zero/cargo-c/pull/346
#   https://github.com/lu-zero/cargo-c/pull/352
Patch1:          rav1e-fix-metadata.diff
Patch2:          0001-remove-references-to-removed-built-and-profiling-cra.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  rust-packaging
BuildRequires:  nasm
BuildRequires:  cargo-c


Provides: bundled(crate(unicode-ident)) = 1.0.12
Provides: bundled(crate(predicates)) = 3.0.4
Provides: bundled(crate(plotters-backend)) = 0.3.5
Provides: bundled(crate(unicode-normalization)) = 0.1.22
Provides: bundled(crate(tracing-chrome)) = 0.7.1
Provides: bundled(crate(cc)) = 1.0.83
Provides: bundled(crate(plotters)) = 0.3.5
Provides: bundled(crate(crossbeam-utils)) = 0.8.19
Provides: bundled(crate(hashbrown)) = 0.14.3
Provides: bundled(crate(png)) = 0.17.10
Provides: bundled(crate(ciborium-ll)) = 0.2.1
Provides: bundled(crate(gimli)) = 0.28.1
Provides: bundled(crate(interpolate_name)) = 0.2.4
Provides: bundled(crate(equivalent)) = 1.0.1
Provides: bundled(crate(predicates-core)) = 1.0.6
Provides: bundled(crate(doc-comment)) = 0.3.3
Provides: bundled(crate(bitstream-io)) = 2.2.0
Provides: bundled(crate(clap_derive)) = 4.4.7
Provides: bundled(crate(sharded-slab)) = 0.1.7
Provides: bundled(crate(tinytemplate)) = 1.2.1
Provides: bundled(crate(jobserver)) = 0.1.27
Provides: bundled(crate(yansi)) = 0.5.1
Provides: bundled(crate(same-file)) = 1.0.6
Provides: bundled(crate(winnow)) = 0.5.33
Provides: bundled(crate(adler)) = 1.0.2
Provides: bundled(crate(minimal-lexical)) = 0.2.1
Provides: bundled(crate(unicode-bidi)) = 0.3.14
Provides: bundled(crate(crossbeam)) = 0.8.4
Provides: bundled(crate(linux-raw-sys)) = 0.4.12
Provides: bundled(crate(quote)) = 1.0.35
Provides: bundled(crate(vcpkg)) = 0.2.15
Provides: bundled(crate(wasm-bindgen-backend)) = 0.2.89
Provides: bundled(crate(js-sys)) = 0.3.66
Provides: bundled(crate(color_quant)) = 1.1.0
Provides: bundled(crate(libloading)) = 0.8.1
Provides: bundled(crate(pkg-config)) = 0.3.28
Provides: bundled(crate(serde)) = 1.0.195
Provides: bundled(crate(env_logger)) = 0.8.4
Provides: bundled(crate(arrayvec)) = 0.7.4
Provides: bundled(crate(aho-corasick)) = 1.1.2
Provides: bundled(crate(ppv-lite86)) = 0.2.17
Provides: bundled(crate(bstr)) = 1.9.0
Provides: bundled(crate(flate2)) = 1.0.28
Provides: bundled(crate(cast)) = 0.3.0
Provides: bundled(crate(serde-big-array)) = 0.5.1
Provides: bundled(crate(web-sys)) = 0.3.66
Provides: bundled(crate(console)) = 0.15.8
Provides: bundled(crate(wasm-bindgen-macro)) = 0.2.89
Provides: bundled(crate(regex-syntax)) = 0.8.2
Provides: bundled(crate(new_debug_unreachable)) = 1.0.4
Provides: bundled(crate(bitflags)) = 1.3.2
Provides: bundled(crate(assert_cmd)) = 2.0.12
Provides: bundled(crate(byteorder)) = 1.5.0
Provides: bundled(crate(errno)) = 0.3.8
Provides: bundled(crate(utf8parse)) = 0.2.1
Provides: bundled(crate(indexmap)) = 2.1.0
Provides: bundled(crate(wasm-bindgen-shared)) = 0.2.89
Provides: bundled(crate(crc32fast)) = 1.3.2
Provides: bundled(crate(ivf)) = 0.1.3
Provides: bundled(crate(nasm-rs)) = 0.2.5
Provides: bundled(crate(crossbeam-deque)) = 0.8.5
Provides: bundled(crate(libgit2-sys)) = 0.16.1
Provides: bundled(crate(crossbeam-epoch)) = 0.9.18
Provides: bundled(crate(once_cell)) = 1.19.0
Provides: bundled(crate(bitflags)) = 2.4.1
Provides: bundled(crate(lazy_static)) = 1.4.0
Provides: bundled(crate(ryu)) = 1.0.16
Provides: bundled(crate(itertools)) = 0.10.5
Provides: bundled(crate(oorandom)) = 11.1.3
Provides: bundled(crate(anyhow)) = 1.0.79
Provides: bundled(crate(anstream)) = 0.6.5
Provides: bundled(crate(num-integer)) = 0.1.45
Provides: bundled(crate(signal-hook)) = 0.3.17
Provides: bundled(crate(av-metrics)) = 0.9.1
Provides: bundled(crate(itertools)) = 0.11.0
Provides: bundled(crate(regex-automata)) = 0.4.3
Provides: bundled(crate(cfg-expr)) = 0.15.6
Provides: bundled(crate(pretty_assertions)) = 1.4.0
Provides: bundled(crate(peeking_take_while)) = 0.1.2
Provides: bundled(crate(getrandom)) = 0.2.12
Provides: bundled(crate(rustc-hash)) = 1.1.0
Provides: bundled(crate(av1-grain)) = 0.2.3
Provides: bundled(crate(clap)) = 4.4.14
Provides: bundled(crate(tracing-core)) = 0.1.32
Provides: bundled(crate(toml)) = 0.8.8
Provides: bundled(crate(signal-hook-registry)) = 1.4.1
Provides: bundled(crate(bumpalo)) = 3.14.0
Provides: bundled(crate(thiserror)) = 1.0.56
Provides: bundled(crate(serde_json)) = 1.0.111
Provides: bundled(crate(wasm-bindgen)) = 0.2.89
Provides: bundled(crate(y4m)) = 0.8.0
Provides: bundled(crate(syn)) = 2.0.48
Provides: bundled(crate(thiserror-impl)) = 1.0.56
Provides: bundled(crate(overload)) = 0.1.1
Provides: bundled(crate(backtrace)) = 0.3.69
Provides: bundled(crate(percent-encoding)) = 2.3.1
Provides: bundled(crate(itoa)) = 1.0.10
Provides: bundled(crate(autocfg)) = 1.1.0
Provides: bundled(crate(quickcheck)) = 1.0.3
Provides: bundled(crate(lab)) = 0.11.0
Provides: bundled(crate(semver)) = 1.0.21
Provides: bundled(crate(idna)) = 0.5.0
Provides: bundled(crate(ciborium-io)) = 0.2.1
Provides: bundled(crate(nom)) = 7.1.3
Provides: bundled(crate(rayon-core)) = 1.12.0
Provides: bundled(crate(system-deps)) = 6.2.0
Provides: bundled(crate(object)) = 0.32.2
Provides: bundled(crate(rand)) = 0.8.5
Provides: bundled(crate(terminal_size)) = 0.3.0
Provides: bundled(crate(scan_fmt)) = 0.2.6
Provides: bundled(crate(hermit-abi)) = 0.3.3
Provides: bundled(crate(tracing)) = 0.1.40
Provides: bundled(crate(clap_builder)) = 4.4.14
Provides: bundled(crate(serde_derive)) = 1.0.195
Provides: bundled(crate(cfg-if)) = 1.0.0
Provides: bundled(crate(lazycell)) = 1.3.0
Provides: bundled(crate(home)) = 0.5.9
Provides: bundled(crate(criterion-plot)) = 0.5.0
Provides: bundled(crate(anstyle-query)) = 1.0.2
Provides: bundled(crate(nu-ansi-term)) = 0.46.0
Provides: bundled(crate(rand_core)) = 0.6.4
Provides: bundled(crate(profiling)) = 1.0.13
Provides: bundled(crate(fdeflate)) = 0.3.3
Provides: bundled(crate(smallvec)) = 1.11.2
Provides: bundled(crate(tracing-subscriber)) = 0.3.18
Provides: bundled(crate(bindgen)) = 0.69.1
Provides: bundled(crate(toml_datetime)) = 0.6.5
Provides: bundled(crate(rand_chacha)) = 0.3.1
Provides: bundled(crate(log)) = 0.4.20
Provides: bundled(crate(either)) = 1.9.0
Provides: bundled(crate(clang-sys)) = 1.7.0
Provides: bundled(crate(tracing-log)) = 0.2.0
Provides: bundled(crate(anstyle)) = 1.0.4
Provides: bundled(crate(criterion)) = 0.5.1
Provides: bundled(crate(difflib)) = 0.4.0
Provides: bundled(crate(is-terminal)) = 0.4.10
Provides: bundled(crate(libz-sys)) = 1.1.14
Provides: bundled(crate(profiling-procmacros)) = 1.0.13
Provides: bundled(crate(addr2line)) = 0.21.0
Provides: bundled(crate(which)) = 4.4.2
Provides: bundled(crate(form_urlencoded)) = 1.2.1
Provides: bundled(crate(glob)) = 0.3.1
Provides: bundled(crate(miniz_oxide)) = 0.7.1
Provides: bundled(crate(fern)) = 0.6.2
Provides: bundled(crate(toml_edit)) = 0.21.0
Provides: bundled(crate(paste)) = 1.0.14
Provides: bundled(crate(plotters-svg)) = 0.3.5
Provides: bundled(crate(aom-sys)) = 0.3.3
Provides: bundled(crate(half)) = 1.8.2
Provides: bundled(crate(anstyle-parse)) = 0.2.3
Provides: bundled(crate(shlex)) = 1.2.0
Provides: bundled(crate(encode_unicode)) = 0.3.6
Provides: bundled(crate(anes)) = 0.1.6
Provides: bundled(crate(wait-timeout)) = 0.2.0
Provides: bundled(crate(libdav1d-sys)) = 0.6.0
Provides: bundled(crate(crossbeam-channel)) = 0.5.11
Provides: bundled(crate(diff)) = 0.1.13
Provides: bundled(crate(itertools)) = 0.12.0
Provides: bundled(crate(ciborium)) = 0.2.1
Provides: bundled(crate(maybe-rayon)) = 0.1.1
Provides: bundled(crate(memchr)) = 2.7.1
Provides: bundled(crate(clap_complete)) = 4.4.6
Provides: bundled(crate(rustix)) = 0.38.28
Provides: bundled(crate(arg_enum_proc_macro)) = 0.3.4
Provides: bundled(crate(image)) = 0.24.7
Provides: bundled(crate(rayon)) = 1.8.0
Provides: bundled(crate(num-bigint)) = 0.4.4
Provides: bundled(crate(wasm-bindgen-macro-support)) = 0.2.89
Provides: bundled(crate(simd-adler32)) = 0.3.7
Provides: bundled(crate(arbitrary)) = 1.3.2
Provides: bundled(crate(tracing-attributes)) = 0.1.27
Provides: bundled(crate(serde_spanned)) = 0.6.5
Provides: bundled(crate(colorchoice)) = 1.0.0
Provides: bundled(crate(clap_lex)) = 0.6.0
Provides: bundled(crate(v_frame)) = 0.3.7
Provides: bundled(crate(simd_helpers)) = 0.1.0
Provides: bundled(crate(valuable)) = 0.1.0
Provides: bundled(crate(target-lexicon)) = 0.12.13
Provides: bundled(crate(rustc-demangle)) = 0.1.23
Provides: bundled(crate(version-compare)) = 0.1.1
Provides: bundled(crate(proc-macro2)) = 1.0.76
Provides: bundled(crate(termtree)) = 0.4.1
Provides: bundled(crate(unicode-width)) = 0.1.11
Provides: bundled(crate(noop_proc_macro)) = 0.3.0
Provides: bundled(crate(num-rational)) = 0.4.1
Provides: bundled(crate(cexpr)) = 0.6.0
Provides: bundled(crate(predicates-tree)) = 1.0.9
Provides: bundled(crate(pin-project-lite)) = 0.2.13
Provides: bundled(crate(git2)) = 0.18.1
Provides: bundled(crate(libc)) = 0.2.152
Provides: bundled(crate(tinyvec)) = 1.6.0
Provides: bundled(crate(url)) = 2.5.0
Provides: bundled(crate(prettyplease)) = 0.2.16
Provides: bundled(crate(built)) = 0.7.1
Provides: bundled(crate(anstyle-wincon)) = 3.0.2
Provides: bundled(crate(tinyvec_macros)) = 0.1.1
Provides: bundled(crate(thread_local)) = 1.1.7
Provides: bundled(crate(num-traits)) = 0.2.17
Provides: bundled(crate(bytemuck)) = 1.14.0
Provides: bundled(crate(libfuzzer-sys)) = 0.4.7
Provides: bundled(crate(wasi)) = 0.11.0
Provides: bundled(crate(crossbeam-queue)) = 0.3.11
Provides: bundled(crate(walkdir)) = 2.4.0
Provides: bundled(crate(heck)) = 0.4.1
Provides: bundled(crate(regex)) = 1.10.2
Provides: bundled(crate(num-derive)) = 0.4.1




%global _description %{expand:
The fastest and safest AV1 encoder.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        %{binary_license}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license PATENTS
%license LICENSE.dependencies
%doc README.md
%{_bindir}/rav1e
%{_bindir}/rav1e-ch

%package     -n %{crate}-libs
Summary:        Library files for rav1e
License:        %{binary_license}

%description -n %{crate}-libs
Library files for rav1e, the fastest and safest AV1 encoder.

%files       -n %{crate}-libs
%license LICENSE
%license LICENSE.dependencies
%license PATENTS
%doc README.md
%{_libdir}/librav1e.so.0*

%package     -n %{crate}-devel
Summary:        %{summary}
License:        %{binary_license}
Requires:       %{crate}-libs%{?_isa} = %{version}-%{release}

%description -n %{crate}-devel %{_description}

%files       -n %{crate}-devel
%{_includedir}/rav1e/
%{_libdir}/librav1e.so
%{_libdir}/pkgconfig/rav1e.pc

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/PATENTS
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+asm-devel %{_description}

This package contains library source intended for building other packages which
use the "asm" feature of the "%{crate}" crate.

%files       -n %{name}+asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+av-metrics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+av-metrics-devel %{_description}

This package contains library source intended for building other packages which
use the "av-metrics" feature of the "%{crate}" crate.

%files       -n %{name}+av-metrics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+binaries-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+binaries-devel %{_description}

This package contains library source intended for building other packages which
use the "binaries" feature of the "%{crate}" crate.

%files       -n %{name}+binaries-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+byteorder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+byteorder-devel %{_description}

This package contains library source intended for building other packages which
use the "byteorder" feature of the "%{crate}" crate.

%files       -n %{name}+byteorder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capi-devel %{_description}

This package contains library source intended for building other packages which
use the "capi" feature of the "%{crate}" crate.

%files       -n %{name}+capi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cc-devel %{_description}

This package contains library source intended for building other packages which
use the "cc" feature of the "%{crate}" crate.

%files       -n %{name}+cc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+channel-api-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+channel-api-devel %{_description}

This package contains library source intended for building other packages which
use the "channel-api" feature of the "%{crate}" crate.

%files       -n %{name}+channel-api-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+check_asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+check_asm-devel %{_description}

This package contains library source intended for building other packages which
use the "check_asm" feature of the "%{crate}" crate.

%files       -n %{name}+check_asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap_complete-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap_complete-devel %{_description}

This package contains library source intended for building other packages which
use the "clap_complete" feature of the "%{crate}" crate.

%files       -n %{name}+clap_complete-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+console-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+console-devel %{_description}

This package contains library source intended for building other packages which
use the "console" feature of the "%{crate}" crate.

%files       -n %{name}+console-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+desync_finder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+desync_finder-devel %{_description}

This package contains library source intended for building other packages which
use the "desync_finder" feature of the "%{crate}" crate.

%files       -n %{name}+desync_finder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dump_ivf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dump_ivf-devel %{_description}

This package contains library source intended for building other packages which
use the "dump_ivf" feature of the "%{crate}" crate.

%files       -n %{name}+dump_ivf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dump_lookahead_data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dump_lookahead_data-devel %{_description}

This package contains library source intended for building other packages which
use the "dump_lookahead_data" feature of the "%{crate}" crate.

%files       -n %{name}+dump_lookahead_data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fern-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fern-devel %{_description}

This package contains library source intended for building other packages which
use the "fern" feature of the "%{crate}" crate.

%files       -n %{name}+fern-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+image-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+image-devel %{_description}

This package contains library source intended for building other packages which
use the "image" feature of the "%{crate}" crate.

%files       -n %{name}+image-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ivf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ivf-devel %{_description}

This package contains library source intended for building other packages which
use the "ivf" feature of the "%{crate}" crate.

%files       -n %{name}+ivf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nasm-rs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nasm-rs-devel %{_description}

This package contains library source intended for building other packages which
use the "nasm-rs" feature of the "%{crate}" crate.

%files       -n %{name}+nasm-rs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nom-devel %{_description}

This package contains library source intended for building other packages which
use the "nom" feature of the "%{crate}" crate.

%files       -n %{name}+nom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quick_test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quick_test-devel %{_description}

This package contains library source intended for building other packages which
use the "quick_test" feature of the "%{crate}" crate.

%files       -n %{name}+quick_test-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+scan_fmt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+scan_fmt-devel %{_description}

This package contains library source intended for building other packages which
use the "scan_fmt" feature of the "%{crate}" crate.

%files       -n %{name}+scan_fmt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+scenechange-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+scenechange-devel %{_description}

This package contains library source intended for building other packages which
use the "scenechange" feature of the "%{crate}" crate.

%files       -n %{name}+scenechange-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-big-array-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-big-array-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-big-array" feature of the "%{crate}" crate.

%files       -n %{name}+serde-big-array-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serialize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serialize-devel %{_description}

This package contains library source intended for building other packages which
use the "serialize" feature of the "%{crate}" crate.

%files       -n %{name}+serialize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signal-hook-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signal-hook-devel %{_description}

This package contains library source intended for building other packages which
use the "signal-hook" feature of the "%{crate}" crate.

%files       -n %{name}+signal-hook-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+signal_support-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signal_support-devel %{_description}

This package contains library source intended for building other packages which
use the "signal_support" feature of the "%{crate}" crate.

%files       -n %{name}+signal_support-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+threading-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+threading-devel %{_description}

This package contains library source intended for building other packages which
use the "threading" feature of the "%{crate}" crate.

%files       -n %{name}+threading-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+toml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+toml-devel %{_description}

This package contains library source intended for building other packages which
use the "toml" feature of the "%{crate}" crate.

%files       -n %{name}+toml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+y4m-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+y4m-devel %{_description}

This package contains library source intended for building other packages which
use the "y4m" feature of the "%{crate}" crate.

%files       -n %{name}+y4m-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v vendor


%build
%cargo_build -f channel-api,unstable
%cargo_cbuild -f channel-api,unstable
%{cargo_license_summary -f channel-api,unstable}
%{cargo_license -f channel-api,unstable} > LICENSE.dependencies

%install
%cargo_install -f channel-api,unstable
%cargo_cinstall -f channel-api,unstable
rm -v %{buildroot}%{_libdir}/librav1e.a

%if %{with check}
%check
%cargo_test -f channel-api,unstable
%endif

%changelog
## START: Generated by rpmautospec
* Sat Feb 03 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.1-1
- update to version 0.7.1; Fixes RHBZ#2256283

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Dec 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.6-4
- Compatibility fixes for cargo-c v0.9.26 and newer

* Sat Sep 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.6-3
- Migrate to new cargo_cbuild and cargo_cinstall macros

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.6-1
- Update to version 0.6.6; Fixes RHBZ#2149770

* Fri Feb 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-9
- Ensure default Rust compiler flags apply to the shared library build

* Fri Feb 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-8
- Disambiguate code which is ambiguous with Rust 1.67+

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-6
- Backport upstream patch to fix UB / crash in test code

* Mon Aug 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.1-5
- Remove unused dependencies; split off source-only Rust devel package

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jun 25 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.1-3
- Fix devel package name

* Thu Jun 23 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.1-2
- Bump dav1d-sys dep

* Sun Jun 19 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.1-1
- Update to 0.5.1 Close: rhbz#2032033

* Tue Feb 22 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-6
- Hack the workaround of the workaround

* Tue Feb 22 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-5
- Work around codegen issues when compiling doctests with LLVM 13

* Mon Feb 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-4
- Bump system-deps from 3.1.2 to 6

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Nov 21 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.5.0-1
- Update to 0.5.0 Close: rhbz#1991588

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-4
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 10 12:15:47 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.1-2
- Add patch to fix https://github.com/xiph/rav1e/issues/2662

* Wed Apr  7 17:07:05 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.1-1
- Update to 0.4.1
- Close: rhbz#1915864

* Mon Mar 29 16:18:27 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-1
- Update to 0.4.0
- Close: rhbz#1915864

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0~alpha-0.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:32:03 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.0~alpha-0.2
- Rebuild

* Wed Dec 09 15:17:53 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0~alpha-0.1
- Update to 0.4.0~alpha

* Sun Dec 06 04:37:40 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.4-3
- Rebuild with new cargo-c to fix pkgconfig includedir
- Fix: rhbz#1902211

* Tue Oct 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-2
- Temporarily skip some broken tests on aarch64.

* Tue Oct 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-1
- Update to version 0.3.4.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.3.3-3
- Bump paste to 1.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 11 2020 Josh Stone <jistone@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Mon Mar 09 17:45:25 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.1-2
- Fix pkgconfig prefix path

* Thu Feb 20 21:15:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Tue Feb 11 01:28:07 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Initial package

## END: Generated by rpmautospec
